local cid = minetest.get_content_id
do
  __fnl_global__activity_2dtable = {}
  __fnl_global__activity_2dtable["__index"] = __fnl_global__activity_2dtable
  local function _0_(cls_0_, ...)
    local inst_0_ = {}
    nope(cls_0_, inst_0_, ...)
    setmetatable(inst_0_, cls_0_)
    return inst_0_
  end
  setmetatable(__fnl_global__activity_2dtable, {__call = _0_})
end
__fnl_global__activity_2dtable.update = function(self, tbl)
  for name, val in pairs(tbl) do
    local function _0_()
      self[cid(name)] = val
      return nil
    end
    if pcall(_0_) then
      self[name] = val
    end
  end
  return nil
end
local function _0_()
  return {alpha = 0, beta = 0, gamma = 0}
end
null = _0_
do
  menge = {}
  menge["__index"] = menge
  local function _1_(cls_0_, ...)
    local inst_0_ = {}
    nope(cls_0_, inst_0_, ...)
    setmetatable(inst_0_, cls_0_)
    return inst_0_
  end
  setmetatable(menge, {__call = _1_})
end
menge.add = function(self, name)
  self[name] = true
  return nil
end
menge["join-array"] = function(self, arr)
  for _, val in ipairs(arr) do
    self[val] = true
  end
  return nil
end
activity = __fnl_global__activity_2dtable()
local function _1_()
  local inh = null()
  for name, _ in pairs(minetest.registered_items) do
    activity[name] = inh
  end
  activity:update({["electricity:plutonium_cable"] = {alpha = 7, beta = 0, gamma = 0}, ["electricity:thorium_cable"] = {alpha = 6, beta = 2, gamma = 0}, ["electricity:uranium_cable"] = {alpha = 2, beta = 0.59999999999999998, gamma = 0}, ["furnace:refiner_active"] = {alpha = 0, beta = 0, gamma = 0.29999999999999999}, ["loria:americium_trifluoride"] = {alpha = 5, beta = 0, gamma = 7}, ["loria:bucket_polluted_mercury"] = {alpha = 5, beta = 2.2999999999999998, gamma = 0}, ["loria:imitationis"] = {alpha = 0, beta = 0, gamma = 0.050000000000000003}, ["loria:lectica"] = {alpha = 0, beta = 0, gamma = 0.070000000000000007}, ["loria:nihil"] = {alpha = 0, beta = 0, gamma = 0.01}, ["loria:periculum"] = {alpha = 0, beta = 0, gamma = 0.5}, ["loria:plutonium"] = {alpha = 20, beta = 0, gamma = 0}, ["loria:plutonium_dioxide"] = {alpha = 40, beta = 0, gamma = 0}, ["loria:plutonium_dioxide_brick"] = {alpha = 26, beta = 0, gamma = 0}, ["loria:plutonium_ingot"] = {alpha = 5, beta = 0, gamma = 0}, ["loria:plutonium_tetrafluoride"] = {alpha = 16, beta = 0, gamma = 0}, ["loria:plutonium_trifluoride"] = {alpha = 20, beta = 0, gamma = 0}, ["loria:polluted_mercury_flowing"] = {alpha = 5, beta = 2.2999999999999998, gamma = 0}, ["loria:polluted_mercury_source"] = {alpha = 5, beta = 2.2999999999999998, gamma = 0}, ["loria:thorium"] = {alpha = 16, beta = 5, gamma = 0}, ["loria:thorium_ingot"] = {alpha = 8, beta = 3, gamma = 0}, ["loria:thorium_iodide"] = {alpha = 12, beta = 4, gamma = 0}, ["loria:uranium"] = {alpha = 5, beta = 3, gamma = 0}, ["loria:uranium_ingot"] = {alpha = 3, beta = 1, gamma = 0}, ["loria:uranium_tetrachloride"] = {alpha = 3, beta = 1, gamma = 0}, ["loria:uranium_tetrachloride_brick"] = {alpha = 2, beta = 1, gamma = 0}})
  for name, params in pairs(ores) do
    if params.radioactive then
      local A_e2_82_80 = activity[cid(("loria:" .. name))]
      local A = {alpha = (A_e2_82_80.alpha / 5), beta = (A_e2_82_80.beta / 3), gamma = (A_e2_82_80.gamma / 2)}
      for _, place in ipairs(params.wherein) do
        activity[cid(("loria:" .. name .. "_" .. place))] = A
      end
    end
  end
  return nil
end
minetest.register_on_mods_loaded(_1_)
antiradiation_drugs = {["loria:manganese_oxide"] = 0.5}
has_inventory = menge()
local emits_rays = {"loria:lead_box", "loria:silicon_box", "furnace:gas", "furnace:refiner", "furnace:electric", "electricity:riteg"}
local function _2_()
  return has_inventory["join-array"](has_inventory, map(cid, emits_rays))
end
return minetest.register_on_mods_loaded(_2_)
